# VerletIntegrator Class Reference

This is an Integrator which simulates a System using the leap-frog Verlet algorithm. More...

Inheritance diagram for VerletIntegrator:

List of all members.

## Public Member Functions
def | step
| step(VerletIntegrator self, int steps)
def | __init__
| __init__(OpenMM.VerletIntegrator self, double stepSize) -> VerletIntegrator __init__(OpenMM.VerletIntegrator self, VerletIntegrator other) -> VerletIntegrator
def | __del__
| __del__(OpenMM.VerletIntegrator self)
## Public Attributes
| this

## Detailed Description

This is an Integrator which simulates a System using the leap-frog Verlet algorithm.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.VerletIntegrator self)

Reimplemented from Integrator.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.VerletIntegrator self, double stepSize) -> VerletIntegrator __init__(OpenMM.VerletIntegrator self, VerletIntegrator other) -> VerletIntegrator

Create a VerletIntegrator.

Parameters:

  | stepSize | the step size with which to integrator the system (in picoseconds)

def step | ( |  | self,
|  |  | args |
| ) |  |  |

step(VerletIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters:

  | steps | the number of time steps to take

Reimplemented from Integrator.

## Member Data Documentation

this

Reimplemented from Integrator.

The documentation for this class was generated from the following file:

- openmm.py